## kdeclarative 5.74.0

=== debian/changelog ===
kdeclarative (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Add libkf5notifications-dev to build depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:58:13 +0100

kdeclarative (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:57:00 +0100

kdeclarative (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:31:25 +0100

kdeclarative (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:05:18 +0100

kdeclarative (5.70.0-1ubuntu2) groovy; urgency=medium

  * Disable buildtime tests again after merge.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 17:28:19 +0100

kdeclarative (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 16:51:41 +0100

kdeclarative (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:57 +0200

kdeclarative (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:30:51 +0100

kdeclarative (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildds for 5.62.0
  * Update symbols from build for 5.69.0.
  * Cleanup Build-Depends.
  * Enable hardening all.
  * Update copyright file.
  * Remove not needed injection of linker flags.
  * Cleanup copyright file.
  * Add symbols file for libkf5calendarevents5.
  * Add Build-Depends-Package to symbols file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:53 +0200
