=== src/quickaddons/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 target_link_libraries(KF5QuickAddons
   PUBLIC
     Qt5::Quick
+    KF5::CoreAddons
   PRIVATE
     KF5::I18n
     KF5::Declarative
