=== src/qmlcontrols/kquickcontrolsaddons/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,6 @@
     icondialog.cpp
 )
 
-if (HAVE_EPOXY)
-    set(kquickcontrolsaddons_SRCS ${kquickcontrolsaddons_SRCS} plotter.cpp)
-    set(KQUICKCONTROLSADDONS_EXTRA_LIBS ${epoxy_LIBRARY})
-    include_directories(${epoxy_INCLUDE_DIR})
-endif()
-
 add_library(kquickcontrolsaddonsplugin SHARED ${kquickcontrolsaddons_SRCS})
 
 target_link_libraries(kquickcontrolsaddonsplugin
@@ -31,9 +25,14 @@
         Qt5::Qml
         Qt5::Gui
         KF5::IconThemes
+        KF5::KIOWidgets
         KF5::QuickAddons
-        KF5::ConfigCore
-        ${KQUICKCONTROLSADDONS_EXTRA_LIBS})
+        KF5::ConfigCore)
+
+if (HAVE_EPOXY)
+    target_sources(kquickcontrolsaddonsplugin PRIVATE plotter.cpp)
+    target_link_libraries(kquickcontrolsaddonsplugin epoxy::epoxy)
+endif()
 
 install(TARGETS kquickcontrolsaddonsplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickcontrolsaddons)
