=== debian/control ===
--- 
+++ 
@@ -1,38 +1,39 @@
 Source: kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
                libepoxy-dev,
-               libkf5config-dev (>= 5.74.0~),
-               libkf5globalaccel-dev (>= 5.74.0~),
-               libkf5guiaddons-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5iconthemes-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5notifications-dev,
-               libkf5package-dev (>= 5.74.0~),
-               libkf5widgetsaddons-dev (>= 5.74.0~),
-               libkf5windowsystem-dev (>= 5.74.0~),
+               libkf5config-dev (>= 5.78.0~),
+               libkf5globalaccel-dev (>= 5.78.0~),
+               libkf5guiaddons-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5iconthemes-dev (>= 5.78.0~),
+               libkf5kio-dev (>= 5.78.0~),
+               libkf5notifications-dev (>= 5.78.0~),
+               libkf5package-dev (>= 5.78.0~),
+               libkf5widgetsaddons-dev (>= 5.78.0~),
+               libkf5windowsystem-dev (>= 5.78.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qml-module-qtquick2,
-               qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~),
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
-               xvfb,
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
+               xvfb
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kdeclarative
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git
 Rules-Requires-Root: no
 
 Package: kpackagelauncherqml
@@ -66,12 +67,12 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.74.0~),
-         libkf5package-dev (>= 5.74.0~),
+         libkf5kio-dev (>= 5.78.0~),
+         libkf5package-dev (>= 5.78.0~),
          libkf5quickaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         qtdeclarative5-dev (>= 5.12.0~),
-         ${misc:Depends},
+         qtbase5-dev (>= 5.14.0~),
+         qtdeclarative5-dev (>= 5.14.0~),
+         ${misc:Depends}
 Recommends: libkf5declarative-doc (= ${source:Version})
 Description: development files for kdeclarative
  Framework providing integration of QML and other KDE frameworks such
@@ -116,7 +117,7 @@
 
 Package: qml-module-org-kde-draganddrop
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -125,7 +126,7 @@
 
 Package: qml-module-org-kde-kcm
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          qml-module-org-kde-kirigami2 (>= 5.54),
          ${misc:Depends},
@@ -138,7 +139,7 @@
 
 Package: qml-module-org-kde-kconfig
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -151,7 +152,7 @@
 
 Package: qml-module-org-kde-kcoreaddons
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -160,7 +161,7 @@
 
 Package: qml-module-org-kde-kio
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -172,7 +173,7 @@
 
 Package: qml-module-org-kde-kquickcontrols
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          qml-module-qtquick-controls,
          qml-module-qtquick-dialogs,
@@ -187,7 +188,7 @@
 
 Package: qml-module-org-kde-kquickcontrolsaddons
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -203,7 +204,7 @@
 
 Package: qml-module-org-kde-kwindowsystem
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
